Package: groovy.util.slurpersupport

## [Java] Class Node

- groovy.util.slurpersupport.Node

- All Implemented Interfaces and Traits:
    Writable

      @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated
      public class Node
      extends Object

  Represents a node.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Node (Node parent, String name, Map attributes, Map attributeNamespaces, String namespaceURI)` Parameters: `parent` - the parent node

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addChild(Object child)` Adds an object as a new child to this Node.
    `` | `protected void` | `appendNode(Object newValue, GPathResult result)`
    `` | `Map` | `attributes()` Returns a map of the attributes of this Node.
    `` | `void` | `build(GroovyObject builder, Map namespaceMap, Map<String, String> namespaceTagHints)`
    `` | `void` | `build(GroovyObject builder, Map namespaceMap, Map<String, String> namespaceTagHints)`
    `` | `void` | `build(GroovyObject builder, Map namespaceMap, Map<String, String> namespaceTagHints)`
    `` | `Iterator` | `childNodes()` Returns an iterator over the child nodes of this Node.
    `` | `List` | `children()` Returns a list of the children of this Node.
    `` | `Object` | `doCall(Object o)`
    `` | `boolean` | `hasNext()`
    `` | `List<String>` | `localText()` Returns the list of any direct String nodes of this node.
    `` | `String` | `name()` Returns the name of this Node.
    `` | `String` | `namespaceURI()` Returns the URI of the namespace of this Node.
    `` | `Object` | `next()`
    `` | `Node` | `parent()` Returns the parent of this Node.
    `` | `void` | `remove()`
    `` | `protected void` | `replaceBody(Object newValue)` Replaces the current body of this Node with the passed object.
    `` | `void` | `replaceNode(Closure replacementClosure, GPathResult result)`
    `` | `String` | `text()` Returns a string containing the text of the children of this Node.
    `` | `Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Node(Node parent, String name, Map attributes, Map attributeNamespaces, String namespaceURI)

      Parameters:
        `parent` - the parent node
        `name` - the name for the node
        `attributes` - the attributes for the node
        `attributeNamespaces` - the namespace mappings for attributes
        `namespaceURI` - the namespace URI if any

  - ### Method Detail

    - #### public void addChild(Object child)

      Adds an object as a new child to this Node.

      Parameters:
        `child` - the object to add as a child

    - #### protected void appendNode(Object newValue, GPathResult result)

    - #### public Map attributes()

      Returns a map of the attributes of this Node.

      Returns:
        a map of the attributes of this Node

    - #### public void build(GroovyObject builder, Map namespaceMap, Map<String, String> namespaceTagHints)

    - #### public Iterator childNodes()

      Returns an iterator over the child nodes of this Node.

      Returns:
        an iterator over the child nodes of this Node

    - #### public List children()

      Returns a list of the children of this Node.

      Returns:
        a list of the children of this Node

    - #### public Object doCall(Object o)

    - #### public boolean hasNext()

    - #### public List<String> localText()

      Returns the list of any direct String nodes of this node.

      Returns:
        the list of String values from this node
      Since:
        2.3.0

    - #### public String name()

      Returns the name of this Node.

      Returns:
        the name of this Node

    - #### public String namespaceURI()

      Returns the URI of the namespace of this Node.

      Returns:
        the namespace of this Node

    - #### public Object next()

    - #### public Node parent()

      Returns the parent of this Node.

      Returns:
        the parent of this Node

    - #### public void remove()

    - #### protected void replaceBody(Object newValue)

      Replaces the current body of this Node with the passed object.

      Parameters:
        `newValue` - the new body

    - #### public void replaceNode(Closure replacementClosure, GPathResult result)

    - #### public String text()

      Returns a string containing the text of the children of this Node.

      Returns:
        a string containing the text of the children of this Node

    - #### public Writer writeTo(Writer out)